Skip to main content
`Ctrl`+`K`

# TaoAddLineSearchCounts

Adds the number of function evaluations spent in the line search to the running total.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoAddLineSearchCounts(Tao tao)

## Input Parameters

- tao - the `Tao` solver

## See Also

TAO: Optimization Solvers, `Tao`, `TaoGetLineSearch()`, `TaoLineSearchApply()`

## Level

developer

## Location

src/tao/interface/taosolver.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages